<?php

namespace Mnv\Admin\Controllers;


/**
 * Class StatsTypeSelector
 * @package Mnv\Admin\Controllers
 */
class StatsTypeSelector
{
    public int $filterTypeId = 0;

    private array $filterTypeOptions = array();
    /**
     * StatsTypeSelector constructor.
     */
    public function __construct()
    {

        $this->filterTypeId = (int) request('filterTypeId');

        $this->filterTypeOptions[0] 	= lang('stats:types:allVisits');
        $this->filterTypeOptions[2] 	= lang('stats:types:sections');
        $this->filterTypeOptions[3] 	= lang('stats:types:articles');
        $this->filterTypeOptions[4] 	= lang('stats:types:searches');
        $this->filterTypeOptions[6] 	= lang('stats:types:errors');
//        $this->filterTypeOptions[7] 	= lang('stats:types:rss');
        //$this->filterTypeOptions[9] 	= lang('stats:types:sitemap');
    }

    public function get(): array
    {
        return $this->filterTypeOptions;
    }
}